---
lang: en
title: 'API docs: repository.property'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.property.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [property](./repository.property.md)

## property namespace

<b>Signature:</b>

```typescript
export declare namespace property 
```

## Functions

|  Function | Description |
|  --- | --- |
|  [array(itemType, definition)](./repository.property.array.md) |  |

## Variables

|  Variable | Description |
|  --- | --- |
|  [ERR\_NO\_ARGS](./repository.property.err_no_args.md) |  |
|  [ERR\_PROP\_NOT\_ARRAY](./repository.property.err_prop_not_array.md) |  |


